# $Revision: 1.42 $, $Date: 2011/08/04 15:12:00 $
%define		modname	timezonedb
%define		status		stable
Summary:	%{modname} - timezone database to be used with PHP's date and time functions
Summary(pl.UTF-8):	%{modname} - baza stref czasowych do wykorzystania z funkcjami date() oraz time()
Name:		php-pecl-%{modname}
Version:	2011.8
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	60199734243541519aec9e6cb023db43
URL:		http://pecl.php.net/package/timezonedb/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension is a drop-in replacement for the builtin timezone
database that comes with PHP. You should only install this extension
in case you need to get a later version of the timezone database then
the one that ships with PHP.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
To rozszerzenie zastępuje wbudowanę bazę stref czasowych dostarczaną
wraz z PHP. Należy instalować to rozszerzenie tylko jeśli musimy
skorzystać z nowszej wersji bazy stref czasowych niż tej dostarczanej
wraz z archiwum PHP.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -q -c
mv %{modname}-%{version}/* .

if [ "%{php_major_version}.%{php_minor_version}" = "5.3" ]; then
	echo >&2 "pointless to build, PLD Linux PHP >= 5.3 uses system tzdata"
	exit 1
fi

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-timezonedb.spec,v $
Revision 1.42  2011/08/04 15:12:00  glen
- pointless to build, PLD Linux PHP >= 5.3 uses system tzdata

Revision 1.41  2011/07/03 12:19:08  adamg
- updated to 2011.8 (2011h)

Revision 1.40  2010/12/11 21:34:45  arekm
- release 2

Revision 1.39  2010/06/02 14:28:00  glen
- up to 2010.9

Revision 1.38  2010/04/07 06:28:52  amateja
- updated to 2010.7.1

Revision 1.37  2010/03/09 07:22:30  amateja
- updated to 2010.5

Revision 1.36  2010/02/09 08:05:31  adamg
- updated to 2010.2 (2010b)

Revision 1.35  2010/01/03 22:10:44  adamg
- updated to 2009.21 (2009u)

Revision 1.34  2009/11/10 00:20:27  adamg
- updated to 2009.18 (2009r)

Revision 1.33  2009/11/07 15:49:16  adamg
- updated to 2009.17 (2009q)

Revision 1.32  2009/10/28 07:48:38  adamg
- updated to 2009.16 (2009p)

Revision 1.31  2009/10/14 17:22:36  adamg
- updated to 2009.14 (2009n)

Revision 1.30  2009/10/09 07:27:20  amateja
- updated to 2009.13

Revision 1.29  2009/08/18 17:42:30  adamg
- updated to 2009.12 (2009l)

Revision 1.28  2009/06/20 22:17:06  adamg
- updated to 2009.10 (2009j)

Revision 1.27  2009/05/26 23:42:23  adamg
- updated to 2009.8 (2009h)

Revision 1.26  2009/04/26 17:07:09  adamg
- updated to 2009.6 (from Andrzej Mateja <amateja () pimpek.one.pl>

Revision 1.25  2009/04/11 18:05:45  adamg
- updated to 2009.5 (2009e)

Revision 1.24  2009/03/16 20:16:45  glen
- omit subdir

Revision 1.23  2009/01/23 18:30:39  adamg
- updated to 2009.1 (2009a)

Revision 1.22  2008/10/30 09:17:40  adamg
- updated to 2008.9 (2008i)

Revision 1.21  2008/10/14 07:15:41  adamg
- updated to 2008.8 (2008h)

Revision 1.20  2008/10/11 09:35:50  adamg
- updated to 2008.7 (2008g)

Revision 1.19  2008/09/15 20:41:09  adamg
- updated to 2008.6 (2008f)

Revision 1.18  2008/07/28 20:39:11  adamg
- updated to 2008.5 (2008e)

Revision 1.17  2008/07/19 09:20:17  adamg
- updated to 2008.4.1 (2008d)

Revision 1.16  2008-06-08 07:43:23  adamg
- updated to 2008.3 (2008c)

Revision 1.15  2008-03-24 22:36:50  glen
- release 2

Revision 1.14  2008-03-24 22:31:10  adamg
- updated to 2008.2 (2008b)

Revision 1.13  2008-03-22 02:23:45  adamg
- updated to 2008.1

Revision 1.12  2007-12-09 08:58:35  adamg
- updated to 2007.10

Revision 1.11  2007/11/05 11:39:51  adamg
- updated to 2007.9

Revision 1.10  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.8  2007/01/16 22:08:59  glen
- use %php_webserver_restart

Revision 1.7  2007/01/16 22:07:11  glen
- use new php extension macros

Revision 1.6  2006/12/13 23:44:39  glen
- update to 2006.16

Revision 1.5  2006/11/27 22:04:04  adamg
- updated to 2006.14.1

Revision 1.4  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.3  2006/09/02 19:15:35  adamg
- updated to 2006.11

Revision 1.2  2006/07/10 20:14:12  qboosh
- pl fix

Revision 1.1  2006/07/05 13:57:06  adamg
- new
